## javanet.staxutils.events
Class StartDocumentEvent

    java.lang.Object
      javanet.staxutils.events.AbstractXMLEvent
          javanet.staxutils.events.StartDocumentEvent

All Implemented Interfaces:
  Serializable, Cloneable, ExtendedXMLEvent, StartDocument, XMLEvent, XMLStreamConstants

    public class StartDocumentEvent

extends AbstractXMLEvent
implements StartDocument

`StartDocument` implementation.

Version:
  $Revision: 1.2 $
Author:
  Christian Niles
See Also:
  Serialized Form

Field Summary
`static String` `DEFAULT_ENCODING` Default encoding returned by `getCharacterEncodingScheme()`.
`static String` `DEFAULT_SYSTEM_ID` Default system id returned by `getSystemId()`.
`static String` `DEFAULT_VERSION` Default XML version returned by `getVersion()`.
`protected String` `encoding` The document encoding, or `null` if none was specified.
`protected Boolean` `standalone` The document standalone value, or `null` if none was specified.
`protected String` `version` The XML version, or `null` if none was specified.

Fields inherited from class javanet.staxutils.events.AbstractXMLEvent
`location, schemaType`

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`StartDocumentEvent()`
`StartDocumentEvent(Location location)`
`StartDocumentEvent(StartDocument that)` Copy constructor.
`StartDocumentEvent(String encoding, Boolean standalone, String version, Location location)`
`StartDocumentEvent(String encoding, Boolean standalone, String version, Location location, QName schemaType)`
`StartDocumentEvent(String encoding, Location location)`

Method Summary
`boolean` `encodingSet()`
`String` `getCharacterEncodingScheme()`
`int` `getEventType()` Returns `XMLStreamConstants.START_DOCUMENT`.
`String` `getSystemId()`
`String` `getVersion()`
`boolean` `isStandalone()`
`boolean` `standaloneSet()`

Methods inherited from class javanet.staxutils.events.AbstractXMLEvent
`asCharacters, asEndElement, asStartElement, clone, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, matches, toString, writeAsEncodedUnicode, writeEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Field Detail

### DEFAULT_VERSION

    public static final String DEFAULT_VERSION

  Default XML version returned by `getVersion()`.

  See Also:
    Constant Field Values

### DEFAULT_SYSTEM_ID

    public static final String DEFAULT_SYSTEM_ID

  Default system id returned by `getSystemId()`.

  See Also:
    Constant Field Values

### DEFAULT_ENCODING

    public static final String DEFAULT_ENCODING

  Default encoding returned by `getCharacterEncodingScheme()`.

  See Also:
    Constant Field Values

### encoding

    protected String encoding

  The document encoding, or `null` if none was specified.

### standalone

    protected Boolean standalone

  The document standalone value, or `null` if none was specified.

### version

    protected String version

  The XML version, or `null` if none was specified.

Constructor Detail

### StartDocumentEvent

    public StartDocumentEvent()

### StartDocumentEvent

    public StartDocumentEvent(Location location)

### StartDocumentEvent

    public StartDocumentEvent(String encoding,
                              Location location)

### StartDocumentEvent

    public StartDocumentEvent(String encoding,
                              Boolean standalone,
                              String version,
                              Location location)

### StartDocumentEvent

    public StartDocumentEvent(String encoding,
                              Boolean standalone,
                              String version,
                              Location location,
                              QName schemaType)

### StartDocumentEvent

    public StartDocumentEvent(StartDocument that)

  Copy constructor.

  Parameters:
    `that` - The `StartDocument` event to copy.

Method Detail

### getEventType

    public int getEventType()

  Returns `XMLStreamConstants.START_DOCUMENT`.

  Specified by:
    `getEventType` in interface `XMLEvent`

### encodingSet

    public boolean encodingSet()

  Specified by:
    `encodingSet` in interface `StartDocument`

### getCharacterEncodingScheme

    public String getCharacterEncodingScheme()

  Specified by:
    `getCharacterEncodingScheme` in interface `StartDocument`

### getSystemId

    public String getSystemId()

  Specified by:
    `getSystemId` in interface `StartDocument`

### getVersion

    public String getVersion()

  Specified by:
    `getVersion` in interface `StartDocument`

### isStandalone

    public boolean isStandalone()

  Specified by:
    `isStandalone` in interface `StartDocument`

### standaloneSet

    public boolean standaloneSet()

  Specified by:
    `standaloneSet` in interface `StartDocument`